#ifndef LOC_PATTERN_MATCH_H
#define LOC_PATTERN_MATCH_H
/****************************************************************************
*
* $RCSfile: PatternMatch.h $
* $Revision: 2.5 $
* $Date: 2004/08/17 22:38:58 $
* $Author: ssolie $
*
*****************************************************************************
*
* Copyright (c) 2004 Steven Solie.  All Rights Reserved.
*
*****************************************************************************
*
* PatternMatch component
*/

#include "Main.h"

#include <dos/dosasl.h>


class PatternMatch {
public:
	PatternMatch();
	~PatternMatch();
	const char* firstFile(const char* pattern);
	const char* nextFile();
private:
	AnchorPath* m_anchor;
	BPTR m_lock;	  // current directory lock
	bool m_searching;
};


#endif
